# Method: networks.vehicles.delete

Deletes a Vehicle.

### HTTP request

`DELETE https://middlemileoptimization.googleapis.com/v1/{name=networks/*/vehicles/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the vehicle to delete. Format: "networks/{network}/vehicles/{vehicle}" |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.